Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Class PropertyAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.event.PropertyAdapter

All Implemented Interfaces:
  edu.stanford.smi.protege.event.SlotListener, PropertyListener, ProtegeSlotListener, EventListener

    public class PropertyAdapter

extends Object
implements PropertyListener

Author:
  Holger Knublauch

Constructor Summary
`PropertyAdapter()`

Method Summary
`void` | `directSubslotAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSubslotMoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSubslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSuperslotAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `directSuperslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `subpropertyAdded(RDFProperty property, RDFProperty subproperty)` Called after a subproperty has been added to a property.
`void` | `subpropertyAdded(RDFProperty property, RDFProperty subproperty, edu.stanford.smi.protege.event.SlotEvent event)`
`void` | `subpropertyRemoved(RDFProperty property, RDFProperty subproperty)` Called after a subproperty has been removed from a property.
`void` | `subpropertyRemoved(RDFProperty property, RDFProperty subproperty, edu.stanford.smi.protege.event.SlotEvent event)`
`void` | `superpropertyAdded(RDFProperty property, RDFProperty superproperty)` Called after a superproperty has been added to a property.
`void` | `superpropertyAdded(RDFProperty property, RDFProperty superproperty, edu.stanford.smi.protege.event.SlotEvent event)`
`void` | `superpropertyRemoved(RDFProperty property, RDFProperty superproperty)` Called after a superproperty has been removed from a property.
`void` | `superpropertyRemoved(RDFProperty property, RDFProperty superproperty, edu.stanford.smi.protege.event.SlotEvent event)`
`void` | `templateSlotClsAdded(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `templateSlotClsRemoved(edu.stanford.smi.protege.event.SlotEvent event)` Deprecated.
`void` | `unionDomainClassAdded(RDFProperty property, RDFSClass rdfsClass)` Called after a class has been added to the union domain of a property.
`void` | `unionDomainClassAdded(RDFProperty property, RDFSClass rdfsClass, edu.stanford.smi.protege.event.SlotEvent event)`
`void` | `unionDomainClassRemoved(RDFProperty property, RDFSClass rdfsClass)` Called after a class has been removed from the union domain of a property.
`void` | `unionDomainClassRemoved(RDFProperty property, RDFSClass rdfsClass, edu.stanford.smi.protege.event.SlotEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAdapter

    public PropertyAdapter()

Method Detail

### subpropertyAdded

    public void subpropertyAdded(RDFProperty property,
                                 RDFProperty subproperty,
                                 edu.stanford.smi.protege.event.SlotEvent event)

### subpropertyAdded

    public void subpropertyAdded(RDFProperty property,
                                 RDFProperty subproperty)

  Description copied from interface: `PropertyListener`
  Called after a subproperty has been added to a property.

  Specified by:
    `subpropertyAdded` in interface `PropertyListener`
  Parameters:
    `property` - the property where the subproperty was added
    `subproperty` - the new subproperty

### subpropertyRemoved

    public void subpropertyRemoved(RDFProperty property,
                                   RDFProperty subproperty,
                                   edu.stanford.smi.protege.event.SlotEvent event)

### subpropertyRemoved

    public void subpropertyRemoved(RDFProperty property,
                                   RDFProperty subproperty)

  Description copied from interface: `PropertyListener`
  Called after a subproperty has been removed from a property.

  Specified by:
    `subpropertyRemoved` in interface `PropertyListener`
  Parameters:
    `property` - the property where the subproperty was removed
    `subproperty` - the old subproperty

### superpropertyAdded

    public void superpropertyAdded(RDFProperty property,
                                   RDFProperty superproperty,
                                   edu.stanford.smi.protege.event.SlotEvent event)

### superpropertyAdded

    public void superpropertyAdded(RDFProperty property,
                                   RDFProperty superproperty)

  Description copied from interface: `PropertyListener`
  Called after a superproperty has been added to a property.

  Specified by:
    `superpropertyAdded` in interface `PropertyListener`
  Parameters:
    `property` - the property where the superproperty was added
    `superproperty` - the new superproperty

### superpropertyRemoved

    public void superpropertyRemoved(RDFProperty property,
                                     RDFProperty superproperty,
                                     edu.stanford.smi.protege.event.SlotEvent event)

### superpropertyRemoved

    public void superpropertyRemoved(RDFProperty property,
                                     RDFProperty superproperty)

  Description copied from interface: `PropertyListener`
  Called after a superproperty has been removed from a property.

  Specified by:
    `superpropertyRemoved` in interface `PropertyListener`
  Parameters:
    `property` - the property where the superproperty was removed
    `superproperty` - the old superproperty

### unionDomainClassAdded

    public void unionDomainClassAdded(RDFProperty property,
                                      RDFSClass rdfsClass,
                                      edu.stanford.smi.protege.event.SlotEvent event)

### unionDomainClassAdded

    public void unionDomainClassAdded(RDFProperty property,
                                      RDFSClass rdfsClass)

  Description copied from interface: `PropertyListener`
  Called after a class has been added to the union domain of a property.

  Specified by:
    `unionDomainClassAdded` in interface `PropertyListener`
  Parameters:
    `property` - the property where the domain has changed
    `rdfsClass` - the domain class that was added

### unionDomainClassRemoved

    public void unionDomainClassRemoved(RDFProperty property,
                                        RDFSClass rdfsClass,
                                        edu.stanford.smi.protege.event.SlotEvent event)

### unionDomainClassRemoved

    public void unionDomainClassRemoved(RDFProperty property,
                                        RDFSClass rdfsClass)

  Description copied from interface: `PropertyListener`
  Called after a class has been removed from the union domain of a property.

  Specified by:
    `unionDomainClassRemoved` in interface `PropertyListener`
  Parameters:
    `property` - the property where the domain has changed
    `rdfsClass` - the domain class that was removed

### templateSlotClsAdded

    public final void templateSlotClsAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `templateSlotClsAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `templateSlotClsAdded` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.unionDomainClassAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### templateSlotClsRemoved

    public void templateSlotClsRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `templateSlotClsRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `templateSlotClsRemoved` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.unionDomainClassRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSubslotAdded

    public void directSubslotAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSubslotAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `directSubslotAdded` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.subpropertyAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSubslotMoved

    public final void directSubslotMoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSubslotMoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `directSubslotMoved` in interface `ProtegeSlotListener`

### directSubslotRemoved

    public void directSubslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSubslotRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `directSubslotRemoved` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.subpropertyRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSuperslotAdded

    public void directSuperslotAdded(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSuperslotAdded` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `directSuperslotAdded` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.superpropertyAdded(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### directSuperslotRemoved

    public void directSuperslotRemoved(edu.stanford.smi.protege.event.SlotEvent event)

  Deprecated.

  Specified by:
    `directSuperslotRemoved` in interface `edu.stanford.smi.protege.event.SlotListener`
  Specified by:
    `directSuperslotRemoved` in interface `ProtegeSlotListener`
  See Also:
    `PropertyListener.superpropertyRemoved(edu.stanford.smi.protegex.owl.model.RDFProperty, edu.stanford.smi.protegex.owl.model.RDFProperty)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.